/*********************************************************************

  Wind.java	(C) Kenneth J. Turner	06/12/01, V1.3

  This class draws the wind.

*********************************************************************/

import waba.fx.*;

public class Wind {
  public static final Color windColour =	// wind colour
    new Color (80, 48, 0);
  public static final float windLength = 11f;	// shaft
  public static final float arrowLength = 4f;	// head / sqrt (2)

  // basic constructor

  public Wind () {
  }

  public void drawWind (int windDir, Graphics g) {
    float c = Boat.qcos (windDir);
    float s = Boat.qsin (windDir);
    int x1, x2, x3, x4, y1, y2, y3, y4;
    if (45 <= windDir && windDir < 135) {
      x1 = 160;
      y1 = (int) (80f * (1f - c / s));
    }
    else if (135 <= windDir && windDir < 225) {
      x1 = (int) (80f * (1f - s / c));
      y1 = 160;
    }
    else if (225 <= windDir && windDir < 315) {
      x1 = 0;
      y1 = (int) (80f * (1f + c / s));
    }
    else {
      x1 = (int) (80f * (1f + s / c));
      y1 = 0;
    }
    x2 = x1 - (int) (windLength * s);
    y2 = y1 + (int) (windLength * c);
    x3 = x2 - (int) (arrowLength * (c - s));
    y3 = y2 - (int) (arrowLength * (c + s));
    x4 = x2 + (int) (arrowLength * (c + s));
    y4 = y2 - (int) (arrowLength * (c - s));
    g.setForeColor (windColour);
    g.drawLine (x1, y1, x2, y2);
    g.drawLine (x2, y2, x3, y3);
    g.drawLine (x2, y2, x4, y4);
    g.setForeColor (Color.BLACK);
  }
}
